rm(list=ls())

lplotfile  = FALSE
nharm      = 5
dir.Rlib   = '/Users/delsole/SMCS_function_exercises/'
dir.data   = '/Users/delsole/SMCS_data/'


options(width=70)

#########################################
## CHECK IF DATA DIRECTORY EXISTS.  IF NOT, SEND ERROR MESSAGE
#########################################
if (!dir.exists(dir.data)) {
	print('#### DATA DIRECTORY DOES NOT EXIST ON YOUR SYSTEM #################')
	print('#### CHANGE dir.indices TO THE DIRECTORY CONTAINING YOUR DATA FILES')
	print('#### IF DATA IS IN THE SAME DIRECTORY AS THIS CODE (not recommended), SET dir.indices = NULL')
	stop()	
}
if (!dir.exists(dir.Rlib)) {
	print('#### DATA DIRECTORY DOES NOT EXIST ON YOUR SYSTEM #################')
	print('#### CHANGE dir.Rlib TO THE DIRECTORY CONTAINING YOUR DATA FILES')
	print('#### IF DATA IS IN THE SAME DIRECTORY AS THIS CODE, SET dir.Rlib = NULL')
	stop()	
}


##############################################
### GET NINO3.4 INDEX
##############################################
fname       = paste(dir.data,'nina34.data',sep='')
line1       = scan(fname,nlines=1,quiet=TRUE)
nino34.yr   = line1[1]:line1[2]
nino34.nyrs = length(nino34.yr)
cnames      = c('YEAR','JAN','FEB','MAR','APR','MAY','JUN','JUL','AUG','SEP','OCT','NOV','DEC')
data2       = read.table(fname,skip=1,nrows=nino34.nyrs,na.strings=-99.99,col.names=cnames)

## CREATE VECTOR WITH NINO34 TIME SERIES AND TIME AXIS
nino34.ts   = as.numeric(t(as.matrix(data2[,1:12+1])))
nino34.time = seq(from=data2[1,1],length.out=length(nino34.ts),by=1/12)

## STRIP NA'S IN BEGINNING AND END
nst = 1
if (is.na(nino34.ts[nst])) {
	while (is.na(nino34.ts[nst])) nst = nst+1
	nomit = 1:nst
} else nomit = NULL

nnd = length(nino34.ts)
if (is.na(nino34.ts[nnd])) {
	while (is.na(nino34.ts[nnd])) nnd = nnd - 1
	nomit = c(nomit,nnd:length(nino34.ts))
} 

nino34.ts   = nino34.ts  [-nomit]
nino34.time = nino34.time[-nomit]

if (any(is.na(nino34.ts))) stop('time series contains missing data')

##############################################
### PLOT NINO3.4 INDEX
##############################################
plot(nino34.time,nino34.ts,type='l',col='blue')

